AutoCAD 2013 :: Creating Instance - Error 80040154
May 21, 2012
I have a problem creating an instance of the AcadApplicationClass. The program is very simple:
Assembly autodeskWrapper = Assembly.LoadFile(@"C:WindowsassemblyGAC_MSILAutodesk.AutoCAD.Interop17.0.54.0__eed84259d7cbf30bAutodesk.AutoCAD.Interop.dll"); Type acadAppClassType = autodeskWrapper.GetType("Autodesk.AutoCAD.Interop.AcadApplicationClass"); object m_acadDApplicationClass; m_acadDApplicationClass = Activator.CreateInstance(acadAppClassType);
and the exception is:
Retrieving the COM class factory for component with CLSID {28B7AA99-C0F9-4C47-995E-8A8D729603A1} failed due to the following error: 80040154.
AutoCAD 2013 is installed but no license is provided (there is a 30 day trial period). I am trying to launch AutoCAD.
In C:WindowsAssembly folder I can see the Autodesk interops:
Autodesk.AutoCAD.Interop and Autodesk.AutoCAD.Interop.Common. Their version is 17.0.54.0.
In Component ServicesComputersMy ComputerDCom Config I can see an enttry - AutoCAD Drawing. Its CLSID is: 6A221957-2D85-42A7-8E19-BE33950D1DEB.
I`ve read that the exception is because a 32bit process is trying to use 64bit DLL or vice versal. I have compiled my program in both 32bit and 64bit but with no results - I am getting the exception in both cases.
View 2 Replies
ADVERTISEMENT
Jun 29, 2011
(visual studio 2010 c# and AutoCAD 2010 )
I`m trying to open a DWG file as follows.
using Autodesk.AutoCAD.Interop;
using Autodesk.AutoCAD.Interop.Common;
AcadApplication gbl_app = null;
[Code]...
and I get the following error
System.Runtime.InteropServices.COMException (0x80010001): Error al crear una instancia del componente COM con CLSID {6D7AE628-FF41-4CD3-91DD-34825BB1A251} desde IClassFactory debido al siguiente error: 80010001.
View 1 Replies
View Related
Jan 23, 2013
I've run into to some trouble when trying to create an instance of AutoCAD.
In fact, the behavior is strange, and it leads to believe it's not from creating an instance!
Anyways, I'm coming straight from VB6, so I used: Dim rpDoc As AcadApplication
View 2 Replies
View Related
Oct 21, 2012
Sometimes when I drag a new symbol instance to my artboard and resize it, the instance looses it alignement with the pixel grid.
This happens despite the fact that...
I checked the box for pixel grid alignement when I created the documentthe symbol option is set for align to pixel gridthe original shape in the symbol is aligned to pixel grindthe original shape has the align to pixel grid check box in the transform panel checked
So why when I resize the symbol instance does it break the pixel grid alignmnet and result in a blurred 1px stroke?
View 1 Replies
View Related
Oct 2, 2012
I have an assembly that was created on 64 bit version of Inventor 2013, the total file size of everything is around 150MB. Even if I use 'Pack and Go' to move the file to another computer running the 32 bit version I get an error when I try to open it which says something like:
'unable to allocate 3GB memory for FBAttributeSegment'
The actually figure is over 3GB but of course on a 32 bit version of windows it is physically impossible to allocate that amount of memory (even with the /3GB in boot.ini hack)
I've performed various dynamic simulations as well as animations within the assembly so I'm thinking that perhaps its trying to allocate that huge amount of memory for a saved state of one of those.
What FBAtributeSegment might be and whether there is any special way to save an assembly to avoid this problem? The name FBAttributeSegment doesn't correspond to any part or assembly names.
I should also add that I have no problem opening it in a 32 bit version of Fusion which again suggests to me that it is something like simulation or animation that is causing this
View 4 Replies
View Related
Jul 3, 2013
why when i want to import file sketchup by type "IMPORTSKP" in commadline box, i can't import file sketchup into autocad because AutoCad Error Aborting and fatal error, and after that my autocad suddenly closed by it self, so i can't use my auto cad.
View 3 Replies
View Related
Apr 6, 2012
In ACAD 2013, everytime I try to sync my settings to "the cloud", the pull down menu reads "Customization Syn - Error". I am signed in OK to Autodesk 360. Stand alone 64 bit installation on a single machine.
View 2 Replies
View Related
Feb 25, 2013
I could not print, save, make any changes to one particular drawing which was created ion Autocad 2013. Whenever I tried to work on the file attached error message pops up and Autocad program gets closed.
View 7 Replies
View Related
Jul 29, 2012
i get the following error msg "an autodesk product failed to send the required value for UPITOKEN. the error report sent to autodesk may be incomplete." and then another one also come "FATAL ERROR: unhandled e06d7363h exception at 75b19617h". then finally close.
View 3 Replies
View Related
Jan 31, 2013
When I search in content explorer it work just fine but when I click on a drawing to open it acts like its opening but right at the end it says Error Decrypting Data and wont open I've tried to look for a solution and I cant find anything.
View 6 Replies
View Related
Aug 30, 2012
Now that we have switched most of our users over to 2013, we are receiving this error - only randomly, not on most drawings - but until it is resolved, we cannot batch plot, publish, because it dumps the plot. Here's a clip of the error we're receiving. When I run a Recover, it doesn't resolve the issue.
View 6 Replies
View Related
Jan 19, 2012
Cannot recognize the "Error Creating Map Book" message. It gives no error number just asks if you want to retry. This has been a problem in at least the last three releases.
View 5 Replies
View Related
May 16, 2013
I create a thread in the AutoCAD using helix command and then do two kinds of processes: loft and sweep.
View 9 Replies
View Related
Nov 29, 2012
I had created som drawing before I had to make som adjustments to my model which made it a deal larger. Then i went back to my drawings. Everything was perfect exept my arrangement drawing where I have used the master wiew from my model to make a drawing. When i returnd, this was locked. I'v deleted the wiews in the dwg file and I'v tried to make som new ones but the master wiew becomes invisible in the dwg sheet. Ewery other wiew works just fine exept this. I guess it's because it is a large file, but how can I fix it?
My computer has these specifications
Intel Xeon 2,40GHz
RAM 16GB
64bit
Nvidia Quadro 4000
View 7 Replies
View Related
Apr 20, 2012
Every time I try to create an ipart I get the error message of "failed to create desel table".
View 9 Replies
View Related
Oct 14, 2013
When i trying to create a new ilogic rule i get window with this error:
Spoiler (Highlight to read)System.InvalidCastException: Невозможно выполнить приведение [A]iLogic.CodeSnippets к [B]iLogic.CodeSnippets. Источником типа A является "Autodesk.iLogic, Version=17.0.13800.0, Culture=neutral, PublicKeyToken=null" в контексте "Default" в расположении "C:PROGRA~1AutodeskINVENT~1BinAutodesk.iLogic.dll". Источником типа B является "Autodesk.iLogic, Version=17.0.13800.0, Culture=neutral, PublicKeyToken=null" в контексте "LoadFrom" в расположении
[code]..........
View 4 Replies
View Related
Oct 4, 2012
When creating a PDF from a DWG AutoCAD LT 2010 (running on windows 7) I get the following error.
unhandled access violation reading 0x6a162be0 exception at 6a162be0h
This only happens the second time I create a PDF - the first time it is very quick and there are no errors
I have tried a repair and a reinstall but am still having the same issue.
View 5 Replies
View Related
Jun 26, 2012
We have a conveyor belt profile, which covers a length of 2330 meters and a height of 150 meters. We have a place a elevation view of the profile in an idw file at a scale of 1:2500.
We would normal place detail views on the elevation view to zoom in on key areas of the belt, i.e. drive area etc. In all previous release of inventor had no problem. However Inventor 2013 displays the following error.
****************************************************************************************************************************************
Create Profile and Section View: Problems encountered while executing this command.
The specific inputs did not create sweep geometry (faces and.or edges). Try by changing path geometry and/or create the profile on a sketch plane that is perpendicular to the path and contains one of the path vertices.
****************************************************************************************************************************************
I have attached the part file and also the idw file that we are using.
View 6 Replies
View Related
Feb 22, 2013
I have a subroutine which creates a WorkPoint with respect to some adjacent components in an assembly. As it happens, this subroutine is called twice; once for each of two different instances of a class. The particular snippet within the sub is:
Dim LowerYPt As WorkPoint = Nothing
Try
LowerYPt = AssyCompDef.WorkPoints.AddFixed(TG.CreatePoint(thisX, thisY, thisZ))
Catch ex As Exception
MsgBox(ex.ToString)
End Try
At least one of the X, Y and Z values are different for the two passes.On the first pass, it runs fine. On the second pass, I get a runtime error:
“System.Runtime.InteropServices.COMException (0x80004005): Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL)) at System.RuntimeType……….”
View 3 Replies
View Related
Aug 15, 2011
I was wondering if there was any way to control what gets loaded - almost like a "Safe Mode" with only basic functionality.
View 2 Replies
View Related
Apr 24, 2012
I'had just met another matter for my Add-on. I noticed that when I instance a new drawing, while a first one is opened, when I load a new Form, this one keep all first drawing's properties. What could happen?
For example, I would like to add the layer list on a ComboBox.
My source:
Private Sub LayerBox_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load '***************************' '* Initialisation LayerBox *' '***************************' Using acTrans = acCurDb.TransactionManager.StartTransaction() acLyrTbl = acTrans.GetObject(acCurDb.LayerTableId, OpenMode.ForRead) For Each acObjId As ObjectId In acLyrTbl acLyrTblRec = acTrans.GetObject(acObjId, OpenMode.ForRead) ComboBox1.Items.Add(acLyrTblRec.Name) Next acObjId End Using End Sub
This source works, but if i instance a new form on a new drawing, the first drawing's layer list is kept and the new layer list on the second drawing is ignored!
View 4 Replies
View Related
Jan 30, 2012
I have created a block which contains various part numbers, with a description and some other bla bla, with a total number box, I issue this to clients to make the specification of product much easier. My idea was for people to use the quick select command to find how many instances there is of an object within the drawing.
As this is a slightly tedious process, as you have to physically type the part number then mentally take one instance off as it counts the number in the legend block as well.
Is there an addition/summary of object instances command I could use to make this process more dynamic and straightforward for the recipient/user of the block I issue?
View 6 Replies
View Related
Jul 20, 2013
I call an instance of an inventor using inventor api ,vb.net code. here is my code
inventorApp = CreateObject("Inventor.Application", "")
inventorApp.Visible = True
My doubt is and how can I close this inventor instance.I tried
inventorApp.Visible = False
View 1 Replies
View Related
Jun 26, 2012
I have a situation where it would be expedient for me to be able to bind only one instance of an xref and leaving the others intact. I have to do this for several different x-refs. Is this possible in Autocad 2008? If I use the xref manager I can only see an option to bind the entire reference.
View 7 Replies
View Related
Jun 17, 2013
When I try to create a survey database I get FATAL ERROR: Unhandled e0434352h Exception at fe139e5dh.
I have repairing both AutoCAD and .Net 4, I also did a regedit on the CommunicationCenter.
AutoCAD Civil 3D 2012 SP4
Windows 7 (64)
View 9 Replies
View Related
May 7, 2013
I am working on a project that requires a number of raster images to be compiled in a base file and then x-ref'ed into titleblock sheets. The base file is not giving me any problems but the files it is x-ref'ed into keep giving me fatal errors and shutting down AutoCAD. I am working in 2012 LT. I was able to find a HotFix for this problem for 2008 but have not been able to find a fix for my version.
View 2 Replies
View Related
Mar 17, 2012
When i try to use Import Survey Database 'Create New Survey Database' i receive the following error.
Running Windows 7 Pro 64-bits and its fully updated. Also installed all the servicepacks available for Civil 3D
View 1 Replies
View Related
Sep 6, 2013
I'm trying to insert a new instance of a X-Ref already present on the drawing. If i use Database.AttachXref(path, name) I receive "ref NAME has already been defined. Using existing definition." on the command bar. I've tried to retrieve the ObjectId of the X-Ref definition from the X-Ref name, but my code don't work. Where is the error?
Here's my
Private Sub AttachXRef(path As String, name As String)
Dim Doc As Document = Application.DocumentManager.MdiActiveDocument
Dim Db As Database = Doc.Database Dim pPtRes As PromptPointResult
Dim pPtOpts As PromptPointOptions = New PromptPointOptions("")
[Code] ...
View 2 Replies
View Related
Aug 24, 2011
I'm getting a "NullReferenceException. Object reference not set to an instance of an object" using:
For Each SetEntry As DBDictionaryEntry In SetRootDict Dim SetEntryDict As DBDictionary = CType(SetEntry.Value.GetObject(OpenMode.ForRead), DBDictionary) Next
I have the same lines letter for letter in a different procedure and referring the same unchanged root dictionary where it works fine.
View 5 Replies
View Related
Nov 8, 2012
We are using a file created by another company and making additions to it for Interiors. While working in this file we have added some new layers and have begun to hatch new walls. While hatching some of these wall my boss received a message saying that the file had errors. He saved and closed the file at that point. When he re-opened the file a number of lines were missing from the file.
They appear to be completely random - i.e. parts of chairs are missing but not the whole chair, parts of walls but not whole walls. The things missing were not all on the same layer and were not necessarily items that had been hatched.
Note - we are running 2012 and the files were created in 2007
View 1 Replies
View Related
Sep 19, 2011
we've made a part from an assembly and put the stress analysis to the test. Unfortunately the analysis doesn't complete it's run, because of an error:
"An error occurred while creating the finite element mesh. The cause may be invalid geometry or features that are extremely small in comparison to the overall dimensions of the part. To fix the problem, please suppress those problematic features or use standard meshing method."
We can't change the thickness of the sheet-metal, because it's a model which comes from a supplier with a different cad-program. And supressing any features isn't possible, because it's a base-solid.
But where can we change it to the standard meshing methode? The program is recently re-installed on my computer, the settings haven't changed since it's been installed. We can't find the feature.
View 2 Replies
View Related